# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods
- Constructors

- Interfaces
  Interface | Description
  --- | ---
  org.eclipse.net4j.util.collection.Predicate | As of 3.5 use `Predicate`.
  org.eclipse.net4j.util.concurrent.IWorkSerializer | As of 3.9 use an executor such as `SerializingExecutor`.
  org.eclipse.net4j.util.concurrent.RWLockManager.LockEntry | Use `RWOLockManager`
  org.eclipse.net4j.util.concurrent.RWLockManager.LockEntryHandler | Use `RWOLockManager`
  org.eclipse.net4j.util.concurrent.RWLockManager.LockStrategy | Use `RWOLockManager`
  org.eclipse.net4j.util.Handler | As of 3.10 use `Consumer`.
  org.eclipse.net4j.util.Predicate | As of 3.10 use `Predicate`.

- Classes
  Class | Description
  --- | ---
  org.eclipse.net4j.util.collection.BidiMapper | As of 3.6 use `BidiMap`.
  org.eclipse.net4j.util.collection.FastList | As of 3.2 use `ConcurrentArray`.
  org.eclipse.net4j.util.collection.PredicateIterator | As of 3.10 use `AbstractFilteredIterator.Predicated`.
  org.eclipse.net4j.util.concurrent.AsynchronousWorkSerializer | As of 3.6 use `ExecutorWorkSerializer`.
  org.eclipse.net4j.util.concurrent.CompletionWorkSerializer | As of 3.6 use `ExecutorWorkSerializer`.
  org.eclipse.net4j.util.concurrent.ExecutorWorkSerializer | As of 3.9 use an executor such as `SerializingExecutor`.
  org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer | As of 3.6 use `ExecutorWorkSerializer`.
  org.eclipse.net4j.util.concurrent.RWLockManager | As of 3.2 use `RWOLockManager`.
  org.eclipse.net4j.util.concurrent.Sleeper | As of 3.9 subject to future removal.
  org.eclipse.net4j.util.concurrent.SynchronousWorkSerializer | As of 3.9 use an executor such as `SynchronousExecutor`.
  org.eclipse.net4j.util.event.ExecutorServiceNotifier |
  org.eclipse.net4j.util.event.ExecutorServiceNotifier.ThreadPool |
  org.eclipse.net4j.util.fsm.FiniteStateMachine.FailTransition | Use `FiniteStateMachine.FAIL`
  org.eclipse.net4j.util.fsm.FiniteStateMachine.IgnoreTransition | Use `FiniteStateMachine.IGNORE`
  org.eclipse.net4j.util.om.log.OSGiLoggingBridge | As of 4.7 use `OSGiLogHandler`.
  org.eclipse.net4j.util.Predicate.DelegatingPredicate | As of 3.10 use `Predicate`.
  org.eclipse.net4j.util.Predicates | As of 3.10 use `Predicate`.
  org.eclipse.net4j.util.ui.views.ContainerItemProvider.LazyElement | As of 3.5 use `ContainerItemProvider.SlowElement`.
  org.eclipse.net4j.util.ui.views.ContainerNameSorter |
  org.eclipse.net4j.util.ui.views.ContainerPathItemProvider |

- Fields
  Field | Description
  --- | ---
  org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.TYPE | As of 4.8 the value of the system property "org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.type" is used.
  org.eclipse.net4j.util.io.ZIPUtil.DEFALULT_BUFFER_SIZE | As of 3.4 use `ZIPUtil.DEFAULT_BUFFER_SIZE`.
  org.eclipse.net4j.util.security.DiffieHellman.Server.DEFAULT_CYPHER_TRANSFORMATION | As of 3.8 the default cipher transformation is "AES/CBC/PKCS5Padding".
  org.eclipse.net4j.util.security.DiffieHellman.Server.DEFAULT_SECRET_ALGORITHM | As of 3.8 the default secret algorithm is "AES".

- Methods
  Method | Description
  --- | ---
  org.eclipse.net4j.util.container.SelfAttachingContainerListener.shouldAttach​(Object) | As of 3.16 not used anymore.
  org.eclipse.net4j.util.HexUtil.appendHex​(StringBuilder, int) |
  org.eclipse.net4j.util.HexUtil.formatByte​(int) |
  org.eclipse.net4j.util.HexUtil.formatBytes​(byte[]) |
  org.eclipse.net4j.util.om.OMBundle.setBundleContext​(Object) | For internal use only.
  org.eclipse.net4j.util.ReflectUtil.getAccessibleField​(Class<?>, String) | As of 3.14 use `ReflectUtil.getField(Class, String)`.
  org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge.getCypherTransformation() | As of 3.8 use `DiffieHellman.Server.Challenge.getCipherTransformation()`.
  org.eclipse.net4j.util.security.SecurityUtil.encrypt​(byte[], char[], String, byte[], int) | As of 3.3. use `SecurityUtil.pbeEncrypt(byte[], char[], String, byte[], int)`.
  org.eclipse.net4j.util.ui.actions.LongRunningAction.getTotalWork() | Not supported anymore.
  org.eclipse.net4j.util.ui.actions.LongRunningAction.setTotalWork​(int) | Not supported anymore.
  org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate.getTotalWork() | Not supported anymore.
  org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate.setTotalWork​(int) | Not supported anymore.
  org.eclipse.net4j.util.ui.container.ElementWizardComposite.setDefaultDescription​(String, String) | Override `ElementWizardComposite.getDefaultDescription(String)` instead.
  org.eclipse.net4j.util.ui.handlers.LongRunningHandler.getTotalWork() | Not supported anymore.
  org.eclipse.net4j.util.ui.handlers.LongRunningHandler.setTotalWork​(int) | Not supported anymore.
  org.eclipse.net4j.util.ui.StructuredContentProvider.refreshSynced​(Object, boolean) | Use `StructuredContentProvider.refreshElement(Object, boolean)`
  org.eclipse.net4j.util.ui.views.ContainerView.addSeparator​(IContributionManager) | As of 3.9 use `ContainerView.addMenuGroupAdditions(IContributionManager)`.

- Constructors
  Constructor | Description
  --- | ---
  org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge​(String, String, String, byte[]) | As of 3.8 public construction is no longer supported.